export interface TokenProvider {
  getToken(): Promise<string>;
}

export class StaticTokenProvider implements TokenProvider {
  constructor(private readonly cachedToken: string) {}

  async getToken(): Promise<string> {
    return this.cachedToken;
  }
}
